package com.hzya.frame.plugin.lets.ofs.dao.impl;

import com.hzya.frame.plugin.lets.ofs.entity.OfsPassiveorderDetailEntity;
import com.hzya.frame.plugin.lets.ofs.dao.IOfsPassiveorderDetailDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * O无源件订单中台明细表(OfsPassiveorderDetail)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-12 09:40:26
 */
public class OfsPassiveorderDetailDaoImpl extends MybatisGenericDao<OfsPassiveorderDetailEntity, String> implements IOfsPassiveorderDetailDao {
    @Override
    public void entityInsertOrUpdateBatch(List<OfsPassiveorderDetailEntity> ofsPassiveorderDetailEntity) throws Exception {
        insert("com.hzya.frame.plugin.lets.ofs.dao.impl.OfsPassiveorderDetailDaoImpl.entityInsertOrUpdateBatch", ofsPassiveorderDetailEntity);
    }

    @Override
    public void entityInsertOrUpdateBatchByStock(List<OfsPassiveorderDetailEntity> ofsPassiveorderDetailEntity) throws Exception {
        insert("com.hzya.frame.plugin.lets.ofs.dao.impl.OfsPassiveorderDetailDaoImpl.entityInsertOrUpdateBatchV2", ofsPassiveorderDetailEntity);
    }

    @Override
    public void entityInsertOrUpdateBatchByTran(List<OfsPassiveorderDetailEntity> ofsPassiveorderDetailEntity) throws Exception {
        insert("com.hzya.frame.plugin.lets.ofs.dao.impl.OfsPassiveorderDetailDaoImpl.entityInsertOrUpdateBatchV3", ofsPassiveorderDetailEntity);
    }
}

