package com.hzya.frame.plugin.lets.ofs.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * O无源件订单中台明细表(OfsPassiveorderDetail)实体类
 *
 * @author makejava
 * @since 2025-03-12 09:40:26
 */
public class OfsPassiveorderDetailEntity extends BaseEntity {
    /**
     * 关联主表ID[1](@ref)
     */
    private String headerid;
    /**
     * 退货单号(与主表一致)[1](@ref)
     */
    private String receiptcode;
    /**
     * 商品编码(示例值:6973391732529)[1](@ref)
     */
    private String skucode;
    /**
     * 商品全称(示例值:INTO YOU心慕与你干杯唇釉OT02)[1](@ref)
     */
    private String skuname;
    /**
     * 退货数量(示例值:1)[1](@ref)
     */
    private String quantity;
    /**
     * 库存状态(示例值:NOT_AVAILABLE)[1](@ref)
     */
    private String inventorysts;
    /**
     * 创建时间[1](@ref)
     */
    private String created;
    /**
     * 创建人[1](@ref)
     */
    private String createdby;
    /**
     * 最后更新时间[1](@ref)
     */
    private String lastupdated;
    /**
     * 最后更新人[1](@ref)
     */
    private String lastupdatedby;
    /**
     * 业务日期
     */
    private String businessdate;
    /**
     * 交易时间
     */
    private String transactionDate;
    /**
     * 业务类型
     */
    private String businesstype;
    /**
     * 推送时间-入库
     */
    private String newpushdate;
    /**
     * 报错详情-入库
     */
    private String newtransmitinfo;
    /**
     * 推送状态-入库
     */
    private String newstate;
    /**
     * 下游单号-入库
     */
    private String newsystemnumber;
    /**
     * 下游主键-入库
     */
    private String newsystemprimary;
    /**
     * 推送时间-交易成功
     */
    private String newpushdate2;
    /**
     * 报错详情-交易成功
     */
    private String newtransmitinfo2;
    /**
     * 推送状态-交易成功
     */
    private String newstate2;
    /**
     * 下游单号-交易成功
     */
    private String newsystemnumber2;
    /**
     * 下游主键-交易成功
     */
    private String newsystemprimary2;

    /**
     * 根据 id 批量查询
     */
    private String ids;

    private String def1;

    private String def2;

    private String def3;

    private String def4;

    private String def5;

    private String def6;

    private String def7;

    private String def8;

    private String def9;

    private String def10;

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getHeaderid() {
        return headerid;
    }

    public void setHeaderid(String headerid) {
        this.headerid = headerid;
    }

    public String getReceiptcode() {
        return receiptcode;
    }

    public void setReceiptcode(String receiptcode) {
        this.receiptcode = receiptcode;
    }

    public String getSkucode() {
        return skucode;
    }

    public void setSkucode(String skucode) {
        this.skucode = skucode;
    }

    public String getSkuname() {
        return skuname;
    }

    public void setSkuname(String skuname) {
        this.skuname = skuname;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getInventorysts() {
        return inventorysts;
    }

    public void setInventorysts(String inventorysts) {
        this.inventorysts = inventorysts;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreatedby() {
        return createdby;
    }

    public void setCreatedby(String createdby) {
        this.createdby = createdby;
    }

    public String getLastupdated() {
        return lastupdated;
    }

    public void setLastupdated(String lastupdated) {
        this.lastupdated = lastupdated;
    }

    public String getLastupdatedby() {
        return lastupdatedby;
    }

    public void setLastupdatedby(String lastupdatedby) {
        this.lastupdatedby = lastupdatedby;
    }

    public String getBusinessdate() {
        return businessdate;
    }

    public void setBusinessdate(String businessdate) {
        this.businessdate = businessdate;
    }

    public String getBusinesstype() {
        return businesstype;
    }

    public void setBusinesstype(String businesstype) {
        this.businesstype = businesstype;
    }

    public String getNewpushdate() {
        return newpushdate;
    }

    public void setNewpushdate(String newpushdate) {
        this.newpushdate = newpushdate;
    }

    public String getNewtransmitinfo() {
        return newtransmitinfo;
    }

    public void setNewtransmitinfo(String newtransmitinfo) {
        this.newtransmitinfo = newtransmitinfo;
    }

    public String getNewstate() {
        return newstate;
    }

    public void setNewstate(String newstate) {
        this.newstate = newstate;
    }

    public String getNewsystemnumber() {
        return newsystemnumber;
    }

    public void setNewsystemnumber(String newsystemnumber) {
        this.newsystemnumber = newsystemnumber;
    }

    public String getNewsystemprimary() {
        return newsystemprimary;
    }

    public void setNewsystemprimary(String newsystemprimary) {
        this.newsystemprimary = newsystemprimary;
    }

    public String getNewpushdate2() {
        return newpushdate2;
    }

    public void setNewpushdate2(String newpushdate2) {
        this.newpushdate2 = newpushdate2;
    }

    public String getNewtransmitinfo2() {
        return newtransmitinfo2;
    }

    public void setNewtransmitinfo2(String newtransmitinfo2) {
        this.newtransmitinfo2 = newtransmitinfo2;
    }

    public String getNewstate2() {
        return newstate2;
    }

    public void setNewstate2(String newstate2) {
        this.newstate2 = newstate2;
    }

    public String getNewsystemnumber2() {
        return newsystemnumber2;
    }

    public void setNewsystemnumber2(String newsystemnumber2) {
        this.newsystemnumber2 = newsystemnumber2;
    }

    public String getNewsystemprimary2() {
        return newsystemprimary2;
    }

    public void setNewsystemprimary2(String newsystemprimary2) {
        this.newsystemprimary2 = newsystemprimary2;
    }

    public String getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(String transactionDate) {
        this.transactionDate = transactionDate;
    }
}

