package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
import com.hzya.frame.ttxofs.dto.ofsReceiptConfirmSearch.OFSReceiptConfirmSearchResponse;
import com.hzya.frame.ttxofs.dto.ofspoorder.OfsPoOrderData;
import com.hzya.frame.ttxofs.dto.ofswareconfirma.OfsWareConfirmaDetails;
import com.hzya.frame.ttxofs.dto.ofswareconfirma.OfsWareConfirmaHeader;
import com.hzya.frame.ttxofs.dto.stock.StockinOrderSearchResponse;
import lombok.Data;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenterV3
 * @name：PurchaseReceiptConfirmationSonDto
 * @Date：2025/3/10 11:14
 * @Filename：PurchaseReceiptConfirmationSonDto
 */
@Data
public class PurchaseReceiptConfirmationSonDto extends OfsWareConfirmaHeader {
    /**
     * OFS采购订单
     */
    private OfsPoOrderData ofsPoOrderData;

    /**
     * OFS采购入库单
     */
    private StockinOrderSearchResponse.StockinOrder stockinOrder;

    /**
     * U8C委外订单
     */
    private ScOrderEntity scOrderEntity;

    /**
     * U8C委外订单明细行
     */
//    private List<ScOrderBEntity> scOrderBEntityList;

    /**
     * 公司
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 仓库
     */
    private BdStordocEntity bdStordocEntity;

    /**
     * OFS采购入库单表头
     */
//    private StockinOrderSearchResponse.StockinOrder.StockinH header;

    /**
     * OFS采购入库确认单表体
     */
    private List<OFSReceiptConfirmSearchResponse.Detail> details;

    /**
     * U8C委外订单明细行
     */
    private List<ScOrderBEntity> scOrderBEntityList;

    /**
     * 采购组织
     */
    private BdPurorgEntity bdPurorgEntity;

    /**
     * 客商基本档案
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 客商管理档案
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 采购部门
     */
    private BdDeptdocEntity bdDeptdocEntity;
}
